Package org.silverpeas.mobile.client.apps.favorites.events.app

## Class AddFavoriteEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<FavoritesAppEventHandler>
    - - org.silverpeas.mobile.client.apps.favorites.events.app.AbstractFavoritesAppEvent
      - - org.silverpeas.mobile.client.apps.favorites.events.app.AddFavoriteEvent

-     public class AddFavoriteEvent
      extends AbstractFavoritesAppEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.apps.favorites.events.app.AbstractFavoritesAppEvent

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddFavoriteEvent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(FavoritesAppEventHandler handler)` |
    `String` | `getDescription()` |
    `String` | `getInstanceId()` |
    `String` | `getObjectId()` |
    `String` | `getObjectType()` |
    `void` | `setDescription​(String description)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setObjectId​(String objectId)` |
    `void` | `setObjectType​(String objectType)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.apps.favorites.events.app.AbstractFavoritesAppEvent

      `getAssociatedType`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddFavoriteEvent

          public AddFavoriteEvent()

  - ### Method Detail

    - #### dispatch

          protected void dispatch​(FavoritesAppEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<FavoritesAppEventHandler>`

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getObjectId

          public String getObjectId()

    - #### setObjectId

          public void setObjectId​(String objectId)

    - #### getObjectType

          public String getObjectType()

    - #### setObjectType

          public void setObjectType​(String objectType)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)